import{Fragment,h,Host}from"@stencil/core";import{__}from"@wordpress/i18n";import{state as checkoutState}from"@store/checkout";import{state as processorsState}from"@store/processors";import{state as selectedProcessor}from"@store/selected-processor";import{ManualPaymentMethods}from"./ManualPaymentMethods";import{getAvailableProcessor,hasMultipleProcessorChoices,availableManualPaymentMethods,availableProcessors,hasOtherAvailableCreditCardProcessor}from"@store/processors/getters";import{addQueryArgs}from"@wordpress/url";import{MockProcessor}from"./MockProcessor";export class ScPayment{constructor(){this.stripePaymentElement=void 0,this.disabledProcessorTypes=void 0,this.secureNotice=void 0,this.label=void 0,this.hideTestModeBadge=void 0}componentWillLoad(){processorsState.disabled.processors=this.disabledProcessorTypes}renderStripe(e){const t=hasOtherAvailableCreditCardProcessor("stripe")?__("Credit Card (Stripe)","surecart"):__("Credit Card","surecart");return h("sc-payment-method-choice",{key:null==e?void 0:e.id,"processor-id":"stripe",card:this.stripePaymentElement},h("span",{slot:"summary",class:"sc-payment-toggle-summary"},h("sc-icon",{name:"credit-card",style:{fontSize:"24px"},"aria-hidden":"true"}),h("span",null,t)),h("div",{class:"sc-payment__stripe-card-element"},h("slot",{name:"stripe"})))}renderPayPal(e){return h(Fragment,null,h("sc-payment-method-choice",{key:null==e?void 0:e.id,"processor-id":"paypal"},h("span",{slot:"summary",class:"sc-payment-toggle-summary"},h("sc-icon",{name:"paypal",style:{width:"80px",fontSize:"24px"},"aria-hidden":"true"}),h("sc-visually-hidden",null,__("PayPal","surecart"))),h("sc-card",null,h("sc-payment-selected",{label:__("PayPal selected for check out.","surecart")},h("sc-icon",{slot:"icon",name:"paypal",style:{width:"80px"},"aria-hidden":"true"}),__("Another step will appear after submitting your order to complete your purchase details.","surecart")))),!hasOtherAvailableCreditCardProcessor("paypal")&&h("sc-payment-method-choice",{key:null==e?void 0:e.id,"processor-id":"paypal","method-id":"card"},h("span",{slot:"summary",class:"sc-payment-toggle-summary"},h("sc-icon",{name:"credit-card",style:{fontSize:"24px"},"aria-hidden":"true"}),h("span",null,__("Credit Card","surecart"))),h("sc-card",null,h("sc-payment-selected",{label:__("Credit Card selected for check out.","surecart")},h("sc-icon",{name:"credit-card",slot:"icon",style:{fontSize:"24px"},"aria-hidden":"true"}),__("Another step will appear after submitting your order to complete your purchase details.","surecart")))))}renderMock(e){return h(MockProcessor,{processor:e})}renderPaystack(e){var t,r;const s=hasOtherAvailableCreditCardProcessor("paystack")?__("Credit Card (Paystack)","surecart"):__("Credit Card","surecart");if((null!==(t=null==e?void 0:e.supported_currencies)&&void 0!==t?t:[]).includes(null===(r=null===window||void 0===window?void 0:window.scData)||void 0===r?void 0:r.currency))return h("sc-payment-method-choice",{key:null==e?void 0:e.id,"processor-id":"paystack"},h("span",{slot:"summary",class:"sc-payment-toggle-summary"},h("sc-icon",{name:"credit-card",style:{fontSize:"24px"},"aria-hidden":"true"}),h("span",null,s)),h("sc-card",null,h("sc-payment-selected",{label:__("Credit Card selected for check out.","surecart")},h("sc-icon",{slot:"icon",name:"credit-card","aria-hidden":"true"}),__("Another step will appear after submitting your order to complete your purchase details.","surecart"))),h("sc-checkout-paystack-payment-provider",null))}render(){var e,t,r,s,a,o;if(!1===(null===(e=checkoutState.checkout)||void 0===e?void 0:e.payment_method_required))return null;const l=hasMultipleProcessorChoices()||"paypal"===(null==selectedProcessor?void 0:selectedProcessor.id)?"sc-toggles":"div",i=getAvailableProcessor("mollie");return h(Host,null,h("sc-form-control",{label:this.label,exportparts:"label, help-text, form-control"},h("div",{class:"sc-payment-label",slot:"label"},h("div",null,this.label),"test"===checkoutState.mode&&!this.hideTestModeBadge&&h("sc-tag",{type:"warning",size:"small",exportparts:"base:test-badge__base, content:test-badge__content"},__("Test Mode","surecart"))),(null==i?void 0:i.id)?h("sc-checkout-mollie-payment",{"processor-id":null==i?void 0:i.id}):h(l,{collapsible:!1,theme:"container"},!(null===(t=availableProcessors())||void 0===t?void 0:t.length)&&!(null===(r=availableManualPaymentMethods())||void 0===r?void 0:r.length)&&h("sc-alert",{type:"info",open:!0},(null===(a=null===(s=null===window||void 0===window?void 0:window.scData)||void 0===s?void 0:s.user_permissions)||void 0===a?void 0:a.manage_sc_shop_settings)?h(Fragment,null,__("You do not have any processors enabled for this mode and cart. ","surecart"),h("a",{href:addQueryArgs(`${null===(o=null===window||void 0===window?void 0:window.scData)||void 0===o?void 0:o.admin_url}admin.php`,{page:"sc-settings",tab:"processors"}),style:{color:"var(--sc-color-gray-700)"}},__("Please configure your processors","surecart")),"."):__("Please contact us for payment.","surecart")),(availableProcessors()||[]).map((e=>{switch(null==e?void 0:e.processor_type){case"stripe":return this.renderStripe(e);case"paypal":return this.renderPayPal(e);case"paystack":return this.renderPaystack(e);case"mock":return this.renderMock(e)}})),h(ManualPaymentMethods,{methods:availableManualPaymentMethods()}))))}static get is(){return"sc-payment"}static get encapsulation(){return"shadow"}static get originalStyleUrls(){return{$:["sc-payment.scss"]}}static get styleUrls(){return{$:["sc-payment.css"]}}static get properties(){return{stripePaymentElement:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:""},attribute:"stripe-payment-element",reflect:!1},disabledProcessorTypes:{type:"unknown",mutable:!1,complexType:{original:"string[]",resolved:"string[]",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Disabled processor types"}},secureNotice:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:""},attribute:"secure-notice",reflect:!1},label:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"The input's label."},attribute:"label",reflect:!1},hideTestModeBadge:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Hide the test mode badge"},attribute:"hide-test-mode-badge",reflect:!1}}}static get elementRef(){return"el"}}